notes to self, really.

highest priority:
 * wherever "epsilon" is being used, rename it or make it clear this is a null production
   empty? might be confused w/ description of whole tree in some contexts
   childless?
   null? not (specific to/descriptive of) context

really should have:

nice to have:
 * better parsers
  * "de Vreught and Honig parser" from "Bidirectional parsing of TAG without heads" [Víctor J. Díaz, Miguel A. Alonso and Vicente Carrillo]
 * probabilistic TAG
 * feature based TAG
 * grammar learning (probabilistic)
 * support for xtag/ltag data (which has morphology/feature structure?)

distant future:
 * serious optimizations (e.g., TAG LR parsing?)
 * more parsers!
   other stuff out of [Kallmeyer 2010] (MCFG etc.)
   SLTAG? ESLTAG?
 